Skip to main content
GET
/
v1
/
api
/
profile
/
activity
Get user activity
curl --request GET \
  --url https://api.dotprediction.io/v1/api/profile/activity \
  --header 'X-API-Key: <api-key>'
{
  "activities": [
    {
      "token_id": "<string>",
      "market_id": "<string>",
      "side": "MERGE",
      "shares": 123,
      "price": 123,
      "tx_hash": "<string>",
      "timestamp": 123,
      "user": "<string>"
    }
  ],
  "pagination": {
    "total": 123,
    "limit": 123,
    "has_more": true,
    "next_cursor": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Generate one via the dashboard or the /v1/api/auth/api-keys endpoint.

Query Parameters

provider
enum<string>
required

The prediction market platform.

Available options:
kalshi,
polymarket
user
string
required

The user identifier on the platform (username or address).

market_id
string

Filter activity by market ID.

start_time
integer<int64>

Start timestamp (Unix epoch) for filtering activity.

end_time
integer<int64>

End timestamp (Unix epoch) for filtering activity.

limit
string

Maximum number of activities to return.

cursor
string

Pagination cursor from a previous response.

Response

A paginated list of user activities.

activities
object[]

List of user activities.

pagination
object